Foxit PDF SDK

Public Member Functions | List of all members
com.foxit.sdk.common.fxcrt.RectFArray Class Reference

An array of RectF objects.
More...

Inheritance diagram for com.foxit.sdk.common.fxcrt.RectFArray:

## Public Member Functions
| RectFArray ()
| Construct a simple object.
| RectFArray (RectFArray other)
| Constructor, with another array object. More...
boolean | add (RectF newElement)
| Add an element at the tail. Potentially growing the array. More...
int | find (RectF data, int iStart)
| Find an element from specified position to last. More...
RectF | getAt (int nIndex)
| This method retrieves an element specified by an index number. More...
int | getSize ()
| Get the number of elements in the array. More...
int | getUpperBound ()
| Get the upper bound in the array, actually the maximum valid index. More...
boolean | insertAt (int nIndex, RectF newElement, int nCount)
| Inset one or more continuous element at specified position. More...
boolean | insertAt (int nStartIndex, BasicArray pNewArray)
| Inset an array at specified position. More...
void | removeAll ()
| Clean up the array. More...
boolean | removeAt (int nIndex, int nCount)
| Remove a number of elements at specified position. More...
boolean | setAt (int nIndex, RectF newElement)
| This method overwrites an element specified by an index number. More...
boolean | setAtGrow (int nIndex, RectF newElement)
| Set an element value at specified position. Potentially growing the array. More...
boolean | setSize (int nNewSize, int nGrowBy)
| Change the allocated size and the grow amount. More...

## Detailed Description

An array of RectF objects.

## Constructor & Destructor Documentation

## ◆ RectFArray()

com.foxit.sdk.pdf.graphics.RectFArray.RectFArray | ( | RectFArray | other | ) |

Constructor, with another array object.

Parameters

  [in] | other | Another array object.

## Member Function Documentation

## ◆ add()

boolean com.foxit.sdk.common.fxcrt.RectFArray.add | ( | RectF | newElement | ) |

Add an element at the tail. Potentially growing the array.

Parameters

  [in] | newElement | The input element.

Returns
  true means success, while false means failure (such as memory error).

## ◆ find()

int com.foxit.sdk.common.fxcrt.RectFArray.find | ( | RectF | data,
|  | int | iStart
| ) |  |

Find an element from specified position to last.

Parameters

  [in] | data | The input element.
  [in] | iStart | Specifies the zero-based index of start element to find.

Returns
  An index of the found element. -1 means found none.

## ◆ getAt()

RectF com.foxit.sdk.common.fxcrt.RectFArray.getAt | ( | int | nIndex | ) |

This method retrieves an element specified by an index number.

Parameters

  [in] | nIndex | Specifies the zero-based index of the element.

Returns
  An element.

## ◆ getSize()

int com.foxit.sdk.common.fxcrt.RectFArray.getSize | ( |  | ) |

Get the number of elements in the array.

Returns
  The number of elements in the array.

## ◆ getUpperBound()

int com.foxit.sdk.common.fxcrt.RectFArray.getUpperBound | ( |  | ) |

Get the upper bound in the array, actually the maximum valid index.

Returns
  The upper bound.

## ◆ insertAt() [1/2]

bool com.foxit.sdk.common.fxcrt.RectFArray.insertAt | ( | int | nIndex,
|  | RectF | newElement,
|  | int | nCount
| ) |  |

Inset one or more continuous element at specified position.

Parameters

  [in] | nIndex | Specifies the zero-based index in the array.
  [in] | newElement | Specifies the element value to insert.
  [in] | nCount | Specifies the count of the element to insert.

Returns
  true means success, while false means failure (such as parameter or memory error).

## ◆ insertAt() [2/2]

bool com.foxit.sdk.common.fxcrt.RectFArray.insertAt | ( | int | nStartIndex,
|  | BasicArray | pNewArray
| ) |  |

Inset an array at specified position.

Parameters

  [in] | nStartIndex | Specifies the zero-based index of start element to insert at.
  [in] | pNewArray | The input array.

Returns
  true means success, while false means failure (such as parameter or memory error).

## ◆ removeAll()

void com.foxit.sdk.common.fxcrt.RectFArray.removeAll | ( |  | ) |

Clean up the array.

Returns
  None.

## ◆ removeAt()

boolean com.foxit.sdk.common.fxcrt.RectFArray.removeAt | ( | int | nIndex,
|  | int | nCount
| ) |  |

Remove a number of elements at specified position.

Parameters

  [in] | nIndex | Specifies the zero-based index in the array.
  [in] | nCount | Specifies the count of element to remove.

Returns
  true means success, while false means failure (such as parameter or memory error).

## ◆ setAt()

boolean com.foxit.sdk.common.fxcrt.RectFArray.setAt | ( | int | nIndex,
|  | RectF | newElement
| ) |  |

This method overwrites an element specified by an index number.

Parameters

  [in] | nIndex | Specifies the zero-based index of the element.
  [in] | newElement | An element.

Returns
  true means success, while false means failure.

## ◆ setAtGrow()

boolean com.foxit.sdk.common.fxcrt.RectFArray.setAtGrow | ( | int | nIndex,
|  | RectF | newElement
| ) |  |

Set an element value at specified position. Potentially growing the array.

Parameters

  [in] | nIndex | Specifies the zero-based index of element in the array.
  [in] | newElement | The input element.

Returns
  true means success, while false means failure.

## ◆ setSize()

boolean com.foxit.sdk.common.fxcrt.RectFArray.setSize | ( | int | nNewSize,
|  | int | nGrowBy
| ) |  |

Change the allocated size and the grow amount.

Parameters

  [in] | nNewSize | The new size in elements expected.
  [in] | nGrowBy | The grow amount in elements expected. This can be -1 for the grow amount unchanged.

Returns
  true means success, while false means failure (such as parameter or memory error).